Bug 164855 - u5 patch that turned on Dprintk's in arch/x86_64/kernel/smpboot.c
u5 patch that turned on Dprintk's in arch/x86_64/kernel/smpboot.c
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Burke
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-01 16:46 EDT by Jeff Burke
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2007-0436
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 13:52:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Burke 2005-08-01 16:46:48 EDT
Description of problem:
Superfluous messages during boot up. In RHEL3 U5 the patch 
0886.lwoodman.x86-64-clust-apic.patch Turned on 
Dprintk's in arch/x86_64/kernel/smpboot.c

Jul 29 15:08:41 pe2850he kernel: CPU: Trace cache: 12K uops<6>CPU: L2 cache: 1024K
Jul 29 15:08:41 pe2850he kernel: CPU0: Initial APIC ID: 0, Physical Processor ID: 0
Jul 29 15:08:41 pe2850he kernel: CPU0:                   Intel(R) Xeon(TM) CPU
3.60GHz stepping 01
Jul 29 15:08:41 pe2850he kernel: per-CPU timeslice cutoff: 5120.23 usecs.
Jul 29 15:08:41 pe2850he kernel: task migration cache decay timeout: 10 msecs.
Jul 29 15:08:41 pe2850he kernel: CPU present map: c3
Jul 29 15:08:41 pe2850he kernel: Booting processor 1/6 rip 6000 page
0000010017ea6000
Jul 29 15:08:41 pe2850he kernel: Setting warm reset code and vector.
Jul 29 15:08:41 pe2850he kernel: 1.
Jul 29 15:08:41 pe2850he kernel: 2.
Jul 29 15:08:41 pe2850he kernel: 3.
Jul 29 15:08:41 pe2850he kernel: Asserting INIT.
Jul 29 15:08:41 pe2850he kernel: Waiting for send to finish...
Jul 29 15:08:41 pe2850he kernel: +Deasserting INIT.
Jul 29 15:08:41 pe2850he kernel: Waiting for send to finish...
Jul 29 15:08:41 pe2850he kernel: +#startup loops: 2.
Jul 29 15:08:41 pe2850he kernel: Sending STARTUP #1.
Jul 29 15:08:41 pe2850he kernel: After apic_write.
Jul 29 15:08:41 pe2850he kernel: target apic 6000000
Jul 29 15:08:41 pe2850he kernel: after target chip
Jul 29 15:08:41 pe2850he kernel: after eip write
Jul 29 15:08:41 pe2850he kernel: Initializing CPU#1
Jul 29 15:08:41 pe2850he kernel: CPU#1 (phys ID: 6) waiting for CALLOUT
Jul 29 15:08:41 pe2850he kernel: Startup point 1.
Jul 29 15:08:41 pe2850he kernel: Waiting for send to finish...
Jul 29 15:08:41 pe2850he kernel: +Sending STARTUP #2.
Jul 29 15:08:41 pe2850he kernel: After apic_write.
Jul 29 15:08:41 pe2850he kernel: target apic 6000000
Jul 29 15:08:41 pe2850he kernel: after target chip
Jul 29 15:08:41 pe2850he kernel: after eip write
Jul 29 15:08:41 pe2850he kernel: Startup point 1.
Jul 29 15:08:41 pe2850he kernel: Waiting for send to finish...
Jul 29 15:08:41 pe2850he kernel: +After Startup.
Jul 29 15:08:41 pe2850he kernel: Before Callout 1.
Jul 29 15:08:41 pe2850he kernel: After Callout 1.
Jul 29 15:08:41 pe2850he kernel: CALLIN, before setup_local_APIC().
Jul 29 15:08:41 pe2850he kernel: Calibrating delay loop... 7156.53 BogoMIPS
Jul 29 15:08:41 pe2850he kernel: Stack at about 0000010017ea7fd4
Jul 29 15:08:41 pe2850he kernel: Monitor/Mwait feature present.
Jul 29 15:08:41 pe2850he kernel: CPU: Trace cache: 12K uops<6>CPU: L2 cache: 1024K


Version-Release number of selected component (if applicable):
RHEL3 U5

How reproducible:
Every Time

Steps to Reproduce:
1.Boot a RHEL3 U5 x86_64 kernel

Actual results:
Too many debug messages enabled.

Expected results:
Alittle less verbose

Additional info:
0886.lwoodman.x86-64-clust-apic.patch
Comment 2 Jeff Burke 2007-02-03 08:52:59 EST
Patch submitted to internal mailing list for development ACKs.

This is by no means a critical item. It just cleans up the code base and puts
x86_64 inline with i386. Also reduces the overall CPU debug messages being sent
to /var/log/messages.
Comment 3 RHEL Product and Program Management 2007-02-03 13:04:00 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Ernie Petrides 2007-02-07 23:05:29 EST
A fix for this problem has just been committed to the RHEL3 U9
patch pool this evening (in kernel version 2.4.21-47.5.EL).
Comment 5 Jay Turner 2007-02-08 08:47:15 EST
QE ack for RHEL3.9.
Comment 8 Red Hat Bugzilla 2007-06-11 13:52:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0436.html

Note You need to log in before you can comment on or make changes to this bug.